Page MenuHomePhabricator

Retire $wgStructuredChangeFiltersShowPreference
Closed, ResolvedPublic

Description

$wgStructuredChangeFiltersShowPreference was a temporary config variable used while RCFilters was in Beta. Now that the feature has graduated and is stable, we should remove it. Please leave $wgStructuredChangeFiltersOnWatchlist in place for now, though.

Event Timeline

kaldari created this task.May 19 2018, 5:52 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 19 2018, 5:52 AM
kaldari updated the task description. (Show Details)May 19 2018, 5:52 AM

Change 434169 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/core@master] Enable RCFilters on installs by default, deprecate old paths

https://gerrit.wikimedia.org/r/434169

Vvjjkkii renamed this task from Retire $wgStructuredChangeFiltersShowPreference to upcaaaaaaa.Jul 1 2018, 1:09 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii removed Jdforrester-WMF as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii edited subscribers, added: Jdforrester-WMF; removed: gerritbot, Aklapper.
CommunityTechBot assigned this task to Jdforrester-WMF.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot renamed this task from upcaaaaaaa to Retire $wgStructuredChangeFiltersShowPreference.
CommunityTechBot edited subscribers, added: gerritbot, Aklapper; removed: Jdforrester-WMF.
Restricted Application added a project: Growth-Team. · View Herald TranscriptSep 2 2018, 10:51 AM
SBisson closed this task as Resolved.Oct 12 2018, 6:54 PM
SBisson added a subscriber: SBisson.

Done in the parent task.

Change 434169 abandoned by Jforrester:
Enable RCFilters on installs by default, deprecate old paths

Reason:
Done elsewise.

https://gerrit.wikimedia.org/r/434169